Draft Plan de travail

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft SelectPlane and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft Stretch.svg Etirer
Page suivante : Terminer la ligne Draft FinishLine.svg Arrow-right.svg

Draft SelectPlane.svg Draft Plan de travail

Emplacement du menu
Draft → Utilitaires → Plan de travail
Ateliers
Draft, Arch
Raccourci par défaut
W P
Introduit dans la version
-
Voir aussi
Draft Objet Proxy pour plan de travail, Draft Basculer l'affichage de la grille


Description

L'Workbench Draft.svg atelier Draft dispose d'un système de plan de travail qui vous permet d'indiquer un plan personnalisé dans la vue 3D sur lequel la prochaine commande Draft aura lieu. Il existe plusieurs méthodes pour définir le plan de travail :

  • Depuis une face sélectionnée
  • Depuis la vue courante
  • Depuis 3 vecteurs sélectionnés
  • D'un préréglage : dessus, de face ou latéral.
  • Aucun, auquel cas le plan de travail est adapté automatiquement à l'affichage actuel lorsque vous lancez une commande, ou à une face si vous commencez à dessiner sur une face existante.

WorkingPlane example.png

Différents plans de travail peuvent être définis sur lesquels seront dessiné des formes


Utilisation

Le bouton Draft SelectPlane.png Plan de travail est présent dans la barre d'outils Draft tray, qui apparaît seulement dans les ateliers Draft and Arch.

Sans élément sélectionné

  1. Appuyez sur le bouton Draft SelectPlane.svg Plan de travail, ou utilisez DraftUtilitiesDraft SelectPlane.svg Plan de travail dans le menu supérieur ou les raccourcis clavier W puis P
  2. Sélectionnez le décalage, l'espacement de la grille et les lignes principales
  3. Sélectionnez l'un des préréglages: View-top.svg XY (vue de dessus), View-front.svg XZ (vue de face), View-right.svg YZ (vue de côté), View-isometric.svg Vue ou View-axonometric.svg Auto.

Une fois le plan défini, le bouton changera pour indiquer le plan actif Draft SelectPlane.svg Vue de dessus, Draft SelectPlane.svg Vue de face, Draft SelectPlane.svg Vue de côté, Draft SelectPlane.png Auto, Draft SelectPlane.svg d(0.0,-1.0,0.0).

Vous pouvez afficher et masquer la grille avec les raccourcis G R.

Avec élément sélectionné

  1. Sélectionnez une face d'un objet existant dans la vue 3D ou maintenez la touche Ctrl et sélectionnez trois sommets d'un objet. Introduit dans la version 0.17
  2. Appuyez sur la touche Draft SelectPlane.svg Plan de travail ou faites un clic droit et sélectionnez Utilitaires → Draft SelectPlane.svg Plan de travail.

Le plan sera créé aligné sur la face de l'objet ou sur le plan défini par les trois sommets.

Options

  • Appuyez sur le bouton View-top.svg XY (Vue de dessus) pour définir le plan de travail sur le plan XY. Pour dessiner facilement sur ce plan, vous devez régler la vue vers le haut ou vers le bas (la normale est dans la direction Z positive ou négative). Appuyez sur 2 ou 5 pour passer rapidement à ces vues.
  • Appuyez sur le bouton View-front.svg XZ (Vue de face) pour définir le plan de travail sur le plan XZ. Pour dessiner facilement sur ce plan, vous devez régler la vue vers l’avant ou l’arrière (la normale est dans la direction Y négative ou positive). Appuyez sur 1 ou 4 pour basculer rapidement sur ces vues.
  • Appuyez sur le bouton View-right.svg YZ (Vue de côté) pour définir le plan de travail sur le plan YZ. Pour dessiner facilement sur ce plan, vous devez définir la vue du côté gauche ou du côté droit (la normale est dans la direction X positive ou négative). Appuyez sur 3 ou 6 pour basculer rapidement sur ces vues.
  • Appuyez sur le bouton View-isometric.svg Vue isométrique pour définir le plan de travail sur la vue 3D actuelle, perpendiculairement à l'axe de la caméra et passant par l'origine (0,0,0)
  • Appuyez sur le bouton View-axonometric.svg Auto pour désactiver le plan de travail actuel et définir automatiquement un plan de travail lorsqu'un outil est utilisé. Lorsqu'un outil de dessin est sélectionné, la grille est automatiquement mise à jour dans la vue actuelle. puis, si la vue est pivotée et qu'un autre outil est sélectionné, la grille se redessine dans la nouvelle vue. Cela équivaut à appuyer automatiquement sur le bouton View-isometric.svg Vue isométrique avant d'utiliser un outil.
  • Définissez la valeur "Offset" pour définir le plan de travail à une certaine distance perpendiculaire du plan que vous avez sélectionné.
  • Définissez la valeur "Espacement de la grille" pour définir l'espace entre chaque ligne de la grille.
  • Définissez la valeur "Ligne principale tous les" pour tracer une ligne légèrement plus épaisse dans la grille à la valeur définie. Par exemple, si l'espacement de la grille est de 0,5 m et s'il existe une ligne principale toutes les 20 lignes, il y aura une ligne légèrement plus épaisse tous les 10 m.
  • Cliquez sur la case à cocher "Plan central au centre de la vue" pour rapprocher le plan et la grille de la vue caméra dans la vue 3D.
  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande en cours.
  • La grille affiche une bordure supplémentaire avec l'espacement de la ligne principale indiqué dans le coin inférieur gauche Introduit dans la version 0.19. Cela peut être désactivé via Edition-> Préférences-> Draft-> Grille et ancrage-> Show grid border.

Script

Voir aussi: Draft API and Débuter avec les scripts. Voir WorkingPlane API.

Les objets du plan de travail peuvent facilement être créés et manipulés par macros et à partir de la console Python.

Vous pouvez accéder au plan de travail de la version actuelle et lui appliquer des transformations:

import FreeCAD as App
import FreeCADGui as Gui

workplane = App.DraftWorkingPlane

v1 = App.Vector(0, 0, 0)
v2 = App.Vector(1, 1, 1).normalize()

workplane.alignToPointAndAxis(v1, v2, 17)
Gui.Snapper.toggleGrid()
Gui.Snapper.toggleGrid()

Une commande Draft doit être émise après avoir changé le plan de travail pour mettre à jour la grille visible, par exemple, Draft Ligne ou simplement Draft Basculer l'affichage de la grille.

Vous pouvez créer vos propres plans et les utiliser indépendamment du plan de travail actuel. Ceci est utile si vous devez effectuer des calculs ou des projections dans ces autres plans.

import WorkingPlane

my_plane = WorkingPlane.plane()

v1 = App.Vector(0, 0, 0)
v2 = App.Vector(1, 1, 1).normalize()
my_plane.alignToPointAndAxis(v1, v2, 17)

projection = my_plane.projectPoint(App.Vector(10, 15, 2))
print(projection)

Pour afficher une nouvelle grille, utilisez un nouvel objet tracker. Configurez d'abord le plan de travail normal selon vos besoins puis créez un nouvel objet de suivi, puis définissez-le sur le plan actuel, puis vous pouvez l'activer ou le désactiver.

import FreeCAD as App
import DraftTrackers

App.DraftWorkingPlane.alignToPointAndAxis(App.Vector(0, 0, 0),
                                          App.Vector(1, 0, 0),
                                          0)

my_grid = DraftTrackers.gridTracker()
my_grid.set()
my_grid.on()
my_grid.off()

Cette grille est simplement une aide visuelle et ne permet pas de s'accrocher.

Pour avoir la possibilité de passer rapidement à différentes grilles, dans différentes positions, vous devez créer un Draft SetWorkingPlaneProxy.svg Draft Objet Proxy pour plan de travail,.

Arrow-left.svg Page précédente : Draft Stretch.svg Etirer
Page suivante : Terminer la ligne Draft FinishLine.svg Arrow-right.svg